Subject: [PATCHv2] Add ignore and clean rules for gitweb.min.js

From: Mark Rada <[email-masked]>
Date: Fri, 19 Mar 2010 17:40:23 -0400

Signed-off-by: Mark Rada <[email-masked]>

---

The instaweb patch from earlier was about making the instaweb
script aware that users can generate a minified version of 
gitweb.js. I think the stuff I am doing in this patch was just
forgotten when JSMIN support was first added for gitweb.

Junio, I went and changed the clean target changes according
to your comment.

 .gitignore |    1 +
 Makefile   |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/.gitignore b/.gitignore
index 7b3acb7..4c24152 100644
--- a/.gitignore
+++ b/.gitignore
@@ -156,6 +156,7 @@
 /git-core-*/?*
 /gitk-git/gitk-wish
 /gitweb/gitweb.cgi
+/gitweb/gitweb.min.*
 /test-chmtime
 /test-ctype
 /test-date
diff --git a/Makefile b/Makefile
index f80b25e..aa1996d 100644
--- a/Makefile
+++ b/Makefile
@@ -2077,7 +2077,7 @@ clean:
 	$(RM) $(htmldocs).tar.gz $(manpages).tar.gz
 	$(MAKE) -C Documentation/ clean
 ifndef NO_PERL
-	$(RM) gitweb/gitweb.cgi
+	$(RM) gitweb/{gitweb.cgi,gitweb.min.js}
 	$(MAKE) -C perl clean
 endif
 ifndef NO_PYTHON
-- 
1.7.0.2.279.gf1ba1c